TextComponentUI (Apache JMeter dist API)
Description: declaration: package: org.apache.jorphan.gui.ui, class: TextComponentUI

Package org.apache.jorphan.gui.ui

# Class TextComponentUI

java.lang.Object
org.apache.jorphan.gui.ui.TextComponentUI

@API(since="5.3", status=INTERNAL) public class TextComponentUI extends Object
Configures undo manager for a text component.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final TextComponentUI`
  `INSTANCE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextComponentUI()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `installUndo(JTextComponent component)`
  Installs an undo manager and keyboard shortcuts to a text component
  `void`
  `resetUndoHistory()`
  Causes all undo managers to invalidate their history.
  `static void`
  `uninstallUndo(JTextComponent component)`
  Removes the default undo manager.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### INSTANCE

    @API(since="5.3", status=INTERNAL) public static final TextComponentUI INSTANCE

- ## Constructor Details

  - ### TextComponentUI

    public TextComponentUI()

- ## Method Details

  - ### resetUndoHistory

    @API(since="5.3", status=INTERNAL) public void resetUndoHistory()
    Causes all undo managers to invalidate their history.

  - ### installUndo

    @API(since="5.3", status=INTERNAL) public void installUndo(JTextComponent component)
    Installs an undo manager and keyboard shortcuts to a text component
    Parameters:
      `component` - JTextField or JTextArea

  - ### uninstallUndo

    @API(since="5.5", status=INTERNAL) public static void uninstallUndo(JTextComponent component)
    Removes the default undo manager. By default, JMeter installs undo manager to all text fields via `Swing -> createUI`, however, undo is not always needed (e.g. log panel), so here's an API to remove it.
    Parameters:
      `component` - JTextField or JTextArea